#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xC6,0x05,0xCE,0xF7,0xAB,0xCE,0xC3,0x9B,0xE6,0x17,0x27,0x49,
		0xF5,0xD4,0xEF,0x32,0x4F,0x95,0x41,0xB1,0x72,0x27,0x6A,0xEC,
		0x48,0x0C,0x4D,0xAB,0x4A,0xBD,0xB3,0x07,0x5F,0x36,0xA7,0x14,
		0xA4,0x64,0xC4,0x89,0x7A,0x4E,0x89,0xB8,0xB9,0xA7,0xC7,0xAE,
		0x71,0xF6,0x83,0x00,0x73,0x67,0xE3,0x4B,0x3B,0xEB,0xEF,0xC2,
		0xFA,0xBF,0xDA,0xDF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
